/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SYS_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CTS_MAPCONFIGENTRY') 
 CREATE TABLE T_CTS_MAPCONFIGENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMAPCONFIGTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAPKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAPKEY_ENP NCLOB,
FMAPURL VARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONNSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CTS_MAPFIELDMAPPING') 
 CREATE TABLE T_CTS_MAPFIELDMAPPING (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FADDRESSCONFIGFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAPINTERFACEFIELD VARCHAR(255) DEFAULT ' ' NOT NULL,
FADMINDIVISIONNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SYS_table.sql **/
